import { connect, Dispatch } from 'react-redux';
import {
  Signin,
  Props as SigninProps,
  State as SigninState,
} from './components/Signin';
import State from '../redux/state/Signin';

import * as signinActions from '../redux/action/signin';


export function mapStateToProps(state: any): SigninProps {
  return {

  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): SigninProps {
  return {
    onSignin: (signinId: string, signinPw: string) => {
      dispatch(signinActions.request(signinId, signinPw));
    },
    onSignup: () => {
      return;
    },
    onResetPassword: () => {
      return;
    },
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(Signin);
